<?php

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class Objective_Outcome extends Eloquent
{
    use SoftDeletingTrait;
    protected $fillable = array('outcome_id', 'objective_id');
    protected $table = 'objective_outcome';

    /**
     * Return the program that the objective belongs to
     *
     * @return Illuminate\Database\Eloquent\Model
     */
    public function outcome()
    {
        return $this->belongsTo('Outcome');
    }

    /**
     * Return the outcomes that the objective belongs to
     *
     * @return Illuminate\Database\Eloquent\Model
     */



    /**
     * Return the program that the objective belongs to
     *
     * @return Illuminate\Database\Eloquent\Model
     */
    public function objective()
    {
        return $this->belongsTo('Objective');
    }
}
